#!/bin/bash

ECHO=/bin/echo

# Load sharing is not relevant for VSX machines - return false
CPPROD_UTIL=$CPDIR/bin/cpprod_util
isVSX=`$CPPROD_UTIL FwIsVSX 2>/dev/null`
isVSX=`$ECHO $isVSX` # remove spaces
if [ "X$isVSX" == "X1" ]
then
	$ECHO "'Cluster is not in Load Sharing mode \(VSX\)'"
	exit 0
fi

#Check if the machine is a cluster member
IS_CLUSTER_MEMBER=`cphaprob stat 2>/dev/null`
if [ $? != 0 ] ; then
	$ECHO "'Not a cluster member'"	
else
	IS_CLUSTER_MEMBER=`$ECHO $IS_CLUSTER_MEMBER` # remove newline
	if [ "$IS_CLUSTER_MEMBER" == "HA module not started." ] ; then
		$ECHO "'Not a cluster member'"
	else
		if [[ $IS_CLUSTER_MEMBER = *"Load Sharing"* ]]; then
			$ECHO "'Cluster is in Load Sharing mode'"
		else
			$ECHO "'Cluster is not in Load Sharing mode'"
		fi
	fi
fi

exit 0