#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script checks if a hotfix is installed.
#parameters received are  'product_name' and 'hotfix_name'

ECHO=/bin/echo
CPPROD_UTIL=$CPDIR/bin/cpprod_util
SED=/bin/sed

#parameters received is 'product_name' and 'hotfix_name'
parseArgs "$@"
#set default to 'not found'
hotfix_found="0"

curVersion=`$CPPROD_UTIL CPPROD_GetCurrentVersion cpshared | $SED 's/\s//g'`
$CPPROD_UTIL CPPROD_GetValue $product_name//$curVersion//HotFixes HOTFIX_$hotfix_name 0 > /dev/null 2>&1
if [ $? -eq 0 ]
then
        hotfix_found="1"
fi

$ECHO "hotfix_found='$hotfix_found'"

exit 0