#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

# THIS SCRIPT IS FOR R80.20X ONLY !!
# FOR OTHER VERSIONS  TEST / MODIFY THE SCRIPT



CPPROD_UTIL=$CPDIR/bin/cpprod_util
ECHO="/bin/echo"
CAT=/bin/cat
PS=/bin/ps

#parameter received is 'target_mgmt_version'
parseArgs "$@"

#run mgmt puv only on management machine
IsMgmt=`$CPPROD_UTIL FwIsFirewallMgmt`
if [ ${IsMgmt} != 1 ]; then 
	$ECHO "verify_output=\"success\""
	exit 0
fi 

#make sure we receive the full output of ps commands
COLUMNS=300

#find the path to conditions_set_is_ngm_upgrade.json
ppid=$($CAT /proc/$$/stat | $CUT -f4 -d\  )
gppid=$($CAT /proc/$ppid/stat | $CUT -f4 -d\  )
gppidArgs=$($PS -o args= -p $gppid)
metadataPathArg=$($ECHO $gppidArgs | $CUT -f3 -d\ | $SED "s/--path_to_metadata=//" )
jsonDirPath=$(dirname "$metadataPathArg" )

#run DDR to determine whether we are using ngm upgrade or old upgrade
/opt/DDR/bin/DDRService --action=collect_and_verify --path_to_metadata=${jsonDirPath}/conditions_set_is_ngm_upgrade.json --output_file=/tmp/DDR_validation_$$ 2>/dev/null
is_ngm_upgrade=$?

#run mgmt puv only for ngm_upgrade
if  [ $is_ngm_upgrade -ne 0 ]; then
		$ECHO "verify_output=\"success\""
		exit 0
fi

launcher_cmd=`$CPPROD_UTIL CPPROD_GetValue FW1 UpgradeLauncher 6.0`
if [[ "X$launcher_cmd" == "XFailed"* ]]; then
		$ECHO "verify_output=\"Failed to get UpgradeLauncher command from registry, please update the Upgrade Tools package. To download the package manually, refer to sk135172.\""
		exit 0
fi
verify_cmd=$(printf "$launcher_cmd" "verify" "$target_mgmt_version" "2>/dev/null")

verify_output="$($verify_cmd)"
verify_result=$?

  #if [ "$verify_output" == "" ];then
  if [ $verify_result -eq 0 ]; then
          $ECHO "verify_output=\"success\""
  else
	  $ECHO "verify_output=\"$verify_output\""	
  fi


exit 0
