#!/bin/bash

# THIS SCRIPT IS FOR R80.X ONLY !!
# FOR OTHER VERSIONS  TEST / MODIFY THE SCRIPT



CPPROD_UTIL=$CPDIR/bin/cpprod_util
SU="/bin/su" 
PWD="/bin/pwd"
MAX_TRIES=60
SLEEP="/bin/sleep"
CAT="/bin/cat"
ECHO="/bin/echo"
CHMOD="/bin/chmod"
SED="/bin/sed"
PSQL_CLIENT="$MDS_FWDIR/bin/psql_client"

check_postgres_status()
{
	local RET=1
	local RETURN_VAL=$1
	cd $PGDIR
	$ECHO "==================================================$FWDIR/scripts/postgres_commands.sh status" >> /opt/DDR/collect_mgmtready_output 2>&1
	$SU -s /bin/bash -c "$FWDIR/scripts/postgres_commands.sh status" cp_postgres >> /opt/DDR/collect_mgmtready_output 2>&1
	RET=$?
	eval $RETURN_VAL="'$RET'"
}

busy_wait_check_postgres_status()
{
	local RETURN_VAL=$1
	cd $PGDIR
	TRIES=0
	local POSTGRES_STATUS_RET=1
	local QUERY_RET=1
	if [ -f /var/tmp/postgres_max_tries ];then
		MAX_TRIES=`$CAT /var/tmp/postgres_max_tries`
	fi
	while [ $POSTGRES_STATUS_RET -ne 0 -a $TRIES -lt $MAX_TRIES ]
	do
		check_postgres_status POSTGRES_STATUS_RET
		$SLEEP 1
		let TRIES=TRIES+1
	done
	TRIES=0
	if [ $POSTGRES_STATUS_RET -eq 0 ];then
		TRIES=0
		while [ $QUERY_RET -ne 0 -a $TRIES -lt $MAX_TRIES ]
		do
			$ECHO "==================================================$FWDIR/bin/psql_client -U postgres cpm -c select 1" >> /opt/DDR/collect_mgmtready_output 2>&1
			$FWDIR/bin/psql_client -U postgres cpm -c "select 1;" >> /opt/DDR/collect_mgmtready_output 2>&1
			QUERY_RET=$?
			$SLEEP 1
			let TRIES=TRIES+1
		done
	else
		# create resolve script
		$ECHO "#!/bin/bash" > /opt/DDR/resolve_permissions
		$ECHO "$CHMOD 755 $FWDIR/..; $CHMOD 755 $FWDIR/; $CHMOD 755 $FWDIR/scripts/; $CHMOD 755 $FWDIR/scripts/postgres_commands.sh;  $CHMOD 755 $CPDIR/lib; $CHMOD 755 $CPDIR/lib/libcrypto.so.1.0.0; exit 0;" >> /opt/DDR/resolve_permissions
		$CHMOD 777 /opt/DDR/resolve_permissions
		# print message to user
		$ECHO "Could not run compatibility check - run '/opt/DDR/resolve_permissions' and try again." >> /opt/DDR/collect_mgmtready_output 2>&1	
	fi		
	eval $RETURN_VAL="'$QUERY_RET'"
}

isManagement=`$CPPROD_UTIL CPPROD_GetValue FW1 FWManagement 4`
isLogServer=`$CPPROD_UTIL CPPROD_GetValue FW1 LogServer 4`
STATUS=0

# if our version is prior to R80 then this script is not relevant , return success
ver=`$CPPROD_UTIL CPPROD_GetVerText CPshared`
ver=`$ECHO $ver` # remove spaces
if ! [[ "X$ver" == "XR80"* ]]; then
		$ECHO "success"
		exit 0
fi


if [ "$isManagement" == "1" -o "$isLogServer" == "1" ]; then

  # start postgres
  if [ "X$MDSDIR" != "X" ]; then
      FWDIR=$MDS_TEMPLATE
  fi
  POSTGRES_WAS_DOWN=0
  POSTGRES_STATUS=3
  
  WORK_DIR=`$PWD`
  check_postgres_status POSTGRES_STATUS
  cd $WORK_DIR
  if [ $POSTGRES_STATUS -ne 0 ]; then
	POSTGRES_WAS_DOWN=1
  fi
  if [ $POSTGRES_WAS_DOWN -eq 1 ];then
	  $ECHO "==================================================$FWDIR/scripts/postgres_start.sh" >> /opt/DDR/collect_mgmtready_output 2>&1
	  $FWDIR/scripts/postgres_start.sh  >> /opt/DDR/collect_mgmtready_output 2>&1
	  POSTGRES_STATUS=3
	  busy_wait_check_postgres_status POSTGRES_STATUS
	  cd $WORK_DIR
	  if [ $POSTGRES_STATUS -ne 0 ]; then
		  $ECHO "Failed to start postgres. See /opt/DDR/collect_mgmtready_output for more information."
		  exit 0
	  fi
  fi

  open_sessions=$(psql_client cpm postgres -t -c "select distinct username from worksession where showinopenworksessionslist='t' and numberofoperations>0 and username in (select name from userbase_data where (dtype='Admin' or (dtype='CPApplicationUser' and name='WEB_API')) and not deleted and dlesession=0) order by username;" 2>/dev/null)
  open_sessions="$(echo -e "${open_sessions}" | sed -e 's/^[[:space:]]*//')"
  
  # Checking if there are open work sessions.
  output=""
  if [ -z "$SKIP_OPEN_SESSIONS_VERIFICATION"  -a ! -z "$open_sessions" ]; then
	  output="Operation failed. Publish or Discard all sessions and run operation again. Administrators with open sessions: $open_sessions . " 
  fi
  
  global_data_centers=$(psql_client cpm postgres -t -c "select name from cms_data where domainid='1e294ce0-367a-11e3-aa6e-0800200c9a66' and dlesession>-1 and deleted='f' ;" 2>/dev/null)
  if [ ! -z "$global_data_centers" ]; then
	  output="${output}${output:+\n} Operation failed. The target version does not support global 'Data Center' objects, Please remove the following objects and run operation again. Global Data Centers: $global_data_centers" 
  fi
  
  if [[ "X$ver" == "XR80" ]]; then
		docsec_icons_objects=$($PSQL_CLIENT cpm postgres -t -c "select name from dleobjectderef_data where name ilike 'ep_docSec%';")
		docsec_icons_objects="$($ECHO -e "${docsec_icons_objects}" | $SED -e 's/^[[:space:]]*//')"
		if [ ! -z "$docsec_icons_objects" ] 
			then
				output="${output}${output:+\n} Operation failed. Redundant Document Security icons objects were found. Please contact Check Point support and mention sk149012."
			fi
  fi

	
  # stop postgres
  if [ $POSTGRES_WAS_DOWN -eq 1 ];then
        $ECHO "==================================================$MDS_FWDIR/scripts/postgres_stop.sh" >> /opt/DDR/collect_mgmtready_output 2>&1
        $MDS_FWDIR/scripts/postgres_stop.sh  >> /opt/DDR/collect_mgmtready_output 2>&1
  fi
fi


  if [ "$output" == "" ]
  then
          $ECHO "success"
  else
          $ECHO $output
  fi


exit 0
