#!/bin/bash

# THIS SCRIPT CHECKS THAT MAIL TRANSFER AGENT IS RUNNING (BY CHECKING A PROCESS) AND THAT A CERTAIN HOTFIX IS INSTALLED

ECHO=/bin/echo
PIDOF=/sbin/pidof
OUTPUT=""
condition_not_met=false

# Cheking if the in.emaild.mta process is runnning
$PIDOF in.emaild.mta > /dev/null 2>&1
if [ $? -ne 0 ]
then
        OUTPUT="MTA is not running."
		condition_not_met=true
fi

# Cheking if file $FWDIR/bin/in.emaild.mta.old_link exists
if ! [ -f "$FWDIR/bin/in.emaild.mta.old_link" ]
then
        OUTPUT="$OUTPUT A required hotfix should be installed \(see sk121993\)."
		condition_not_met=true
fi

if [ "$condition_not_met" = false ] ; then
    OUTPUT="success"
fi

$ECHO $OUTPUT
exit 0