#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

ECHO=/bin/echo
GREP=/bin/grep
CUT=/bin/cut

AdminPWDHashType="MD5"
ExpertPWDHashType="MD5"

ADMINPWD_DB=`$GREP '^passwd:admin:passwd ' /config/active | $CUT -d ' ' -f 2` > /dev/null 2>&1
ADMINPWD_SHADOW=`$GREP '^admin:'  /etc/shadow | $CUT -d ':' -f 2` > /dev/null 2>&1
for ADMINPWD in $ADMINPWD_DB $ADMINPWD_SHADOW
do
    case "$ADMINPWD" in
       \*|\$1\$*)
           :
           ;;
       *)
		   AdminPWDHashType="SHA-2"
		   break
           ;;
    esac
done
   
EXPERTPWD_DB=`$GREP '^expertpwd:PWD ' /config/active | $CUT -d ' ' -f 2` > /dev/null 2>&1
EXPERTPWD_GRUB=`$GREP password /boot/grub/grub.conf | $CUT -d ' ' -f 3` > /dev/null 2>&1
for EXPERTPWD in $EXPERTPWD_DB $EXPERTPWD_GRUB
do
    case "$EXPERTPWD" in
        ""|\$1\$*)
            :
            ;;
        *)
		    ExpertPWDHashType="SHA-2"
			break
            ;;
    esac
done

$ECHO "AdminPWDHashType='$AdminPWDHashType' ExpertPWDHashType='$ExpertPWDHashType'"

exit 0
