#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script collects cpvinfo on a given file
#parameter received is the file location

ECHO=/bin/echo
CPVINFO=$CPDIR/bin/cpvinfo
GREP=/bin/grep
AWK=/bin/awk

#parameter received is 'file_name'
parseArgs "$@"

#interpret possible '$' in file_name to allow usage such as $FWDIR
eval "file_name=$file_name"

#check file existence
if [ ! -f "$file_name" ]
then
        # (reset this line after DDR handles error from collect) endCheck 1 "File $file_name does not exist"
		endCheck 0 "collect_err_msg=File $file_name does not exist"
fi

#check cpvinfo can run on given file
$CPVINFO $file_name > /dev/null 2>&1
if [ "$?" != "0" ]
then
		# (reset this line after DDR handles error from collect) endCheck 1 "Information from file $file_name can't be collected by cpvinfo"
		endCheck 0 "collect_err_msg=Information from file $file_name can not be collected by cpvinfo"
fi

file_build_num=`$CPVINFO $file_name | $GREP "Build Number" | $AWK '{print $4}'`
file_branch_name=`$CPVINFO $file_name | $GREP "Minor Release" | $AWK '{print $4}'`

$ECHO "file_build_num='$file_build_num' file_branch_name='$file_branch_name'"

exit 0
