#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script verifies machine DA build installed
#parameters received:
# 1) 'max_build'
# 2) 'min_build' 
# 3) 'version'
# 4) 'curr_ver' received from collect
# 5) 'curr_build' received from collect
# 6) 'is_aws' received from collect

ECHO=/bin/echo
rv=0

error_verifying="Could not verify AWS build on the machine."
parseArgs "$@"

if [ "X$is_aws" = "X0" ]
then
	rv=1
	RESULT="Not in AWS"
else
	RESULT="AWS Version is: $curr_ver, Build: $curr_build"
	
	#check version
	if [ "X$curr_ver" != "X$version" ]	
	then
		rv=1
	else
		#check max_build
		if [ "X$max_build" != "X" ]
		then 
			#check max_build is only digits
			verifyOnlyDigits $max_build "$error_verifying"
			
			if [ $curr_build -gt $max_build ]
			then
				rv=1
			fi
		fi
		#check min build
		if [ "X$min_build" != "X" ] 
		then 
			#check min_build is only digits
			verifyOnlyDigits $min_build "$error_verifying"
			
			if [ $curr_build -lt $min_build ]
			then
				rv=1
			fi
		fi
	fi
fi
endCheck $rv "$RESULT"