#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script verifies appliance model type of the machine
#parameters received:
# 1) 'model_type', user defined list seperated by commas of permitted model types
# 2) 'appliance_model_type' received from collect

EGREP=/bin/egrep
XMLLINT=/usr/bin/xmllint
#return value default value is 0
rv=0

#parameters received are 'model_type', 'appliance_model_type'
parseArgs "$@"

# function checks if a name is in a non-empty list seperated by commas
# if the name is in the list, found_name is set to 1
# only on a non empty list will we output information sent to the function
# arg1 = name
# arg2 = list
function nameInList()
{
	name="$1"
	list="$2"
	local IFS=','
	
	if [ "X$list" != "X" ]
	then
		for item in $list
		do
			if [ "X$name" = "X$item" ]
			then
				found_name=1
				break
			fi
		done	
	fi
}

found_name=0
#check appliance name of current machine is found in the user supplied list
nameInList "$appliance_model_type" "$model_type" 

# if no name was found in model type (found_name == 0) rv should be 1 (and vice versa)
rv=$((found_name == 0))

endCheck $rv "Machine's model type is $appliance_model_type"
