#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script verifies appliance type of the machine
#parameters received:
# 1) 'series', user defined list seperated by commas of permitted machine series
# 2) 'appliance_name' user defined list seperated by commas of permitted machine appliance names
# 3) 'machine_appliance_name' received from collect
# 4) 'machine_series' received from collect

EGREP=/bin/egrep
XMLLINT=/usr/bin/xmllint
#return value default value is 0
rv=0

#parameters received are 'series', 'appliance_name', 'machine_appliance_name', and 'machine_series'
parseArgs "$@"

# function checks if a name is in a non-empty list seperated by commas
# if the name is in the list, found_name is set to 1
# only on a non empty list will we output information sent to the function
# arg1 = name
# arg2 = list
function nameInList()
{
	name="$1"
	list="$2"
	local IFS=','
	
	if [ "X$list" != "X" ]
	then
		for item in $list
		do
			if [ "X$name" = "X$item" ]
			then
				found_name=1
				break
			fi
		done	
	fi
}

found_name=0
#check appliance name of current machine is found in the user supplied list
nameInList "$machine_appliance_name" "$appliance_name" 

#check series name of current machine is found in the user supplied list
nameInList "$machine_series" "$series"

# if no name was found  neither in name nor in series (found_name == 0) rv should be 1 (and vice versa)
rv=$((found_name == 0))

endCheck $rv "Machine's appliance type is $machine_appliance_name, machine's series name is $machine_series"
