#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script verifies whether the current template name of the machine matches one of the names supplied by conditions set.
#script is relevant only for Azure GW machines!
#parameters received:
# 1) 'unsupportedTemplateNames', user defined list, seperated by commas, of Azure template names to be blocked
# 2) 'templateName' the machine template name recieved from the collect

#default return value is 0 - templateName is in unsupportedTemplateNames
rv=0


#parameters received are:
# 'unsupportedTemplateNames' - the unsupported template names,
# 'templateName' - the machines template name fromthe collector.
parseArgs "$@"

#check if machine is in cloud environment matching input
IFS=','
found_templateName=0
for name in $unsupportedTemplateNames
do
	case "X$templateName" in "X$name"*)
		found_templateName=1
		break
		;;
	esac
done

if [ $found_templateName -ne 1 ]
then
	rv=1
fi

#print message based on whether we are in a Azure at all
if [ "X$templateName" = "X" ]
then
	endCheck $rv "Machine is not in Azure"
else
	endCheck $rv "Machine type is Azure '$templateName'"
fi

