#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script verifies whether the current BIOS version of the machine matches one of the BIOS versions supplied by conditions set.
#parameters received:
# 1) 'BIOSVersions', user defined list seperated by commas of possible permitted BIOS versions
# 2) 'curBIOSVersion' the machine BIOS version recieved from the collect

#return value default value is 0
rv=0

#parameters received are 'BIOSVersions' - the permitted BIOS versions - and 'curBIOSVersion'
parseArgs "$@"

#check if machine is in BIOS version matching input
IFS=','
found_BIOSVersion=0
for version in $BIOSVersions
do
	if [ "X$version" = "X$curBIOSVersion" ]
	then
		found_BIOSVersion=1
		break
	fi
done

if [ $found_BIOSVersion -ne 1 ]
then
	rv=1
fi

endCheck $rv "Machine has the following BIOS version installed: $curBIOSVersion"


