#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script verifies machine role
#parameters received:
# 1) 'blades', user defined list seperated by commas in conditions set of blades needed to be enabled
# 2) 'enabledBlades' received from collect

#return value default value is 0
rv=0



#parameters received are 'blades' - the blades needed to be enabled - and 'enabledBlades'
parseArgs "$@"

#check if machine role matches one of the roles in the list
IFS=','
for blade in $blades
do
	found_blade="0"
	for enabledBlade in $enabledBlades
	do
		if [ "X$blade" = "X$enabledBlade" ]
		then
			found_blade="1"
			break
		fi
	done
	if [ "$found_blade" = "0" ]
	then
		rv=1
		break
	fi
done

endCheck $rv "Machine's enabled blades are '$enabledBlades'"
