#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script verifies take of bundle installed
#parameters received:
# 1) 'max_take', user defined max DA build in conitions set
# 2) 'min_take' user defined min DA build in conitions set
# 3) 'machineDABuild' received from collect

ECHO=/bin/echo
CPPROD_UTIL=$CPDIR/bin/cpprod_util
rv=0

#parameters received are 'bundle_name', 'min_take', 'max_take' and parameters from collect are 'bundle_found', 'take_number'
parseArgs "$@"

error_verifying="Could not verify take number for bundle $bundle_name"

RESULT="Bundle $bundle_name is installed from take $take_number"

if [ "X$bundle_found" = "X0" ]
then
	rv=1
	RESULT="Bundle $bundle_name is not installed"
else   # Bundle is installed, verify take numbers
	# verify max_take
	if [ "X$max_take" != "X" ]
	then 
		#check max_take is only digits
		verifyOnlyDigits $max_take "$error_verifying"		
		if [ $take_number -gt $max_take ]
		then
			rv=1
		fi
	fi
	#check min_take
	if [ "X$min_take" != "X" ] 
	then 
		#check min_take is only digits
		verifyOnlyDigits $min_take "$error_verifying"		
		if [ $take_number -lt $min_take ]
		then
			rv=1
		fi
	fi
fi

endCheck $rv "$RESULT"