#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script verifies machine version
#parameters received:
# 1) 'versions', user defined list seperated by commas in conditions set of permitted versions
# 2) 'CPVersion' received from collect

#return value default value is 1
rv=1

#parameters received are 'versions' - the permitted versions - and 'CPVersion'
parseArgs "$@"

#check if CPVersion matches one of the versions in the list
IFS=','
for version in $versions
do
	if [ "$CPVersion" = "$version" ]
	then
		rv=0
		break
	fi
done

endCheck $rv "The machine version is '$CPVersion'"
