#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script verifies whether the current cloud environment of the machine matches one of the environments supplied by conditions set.
#parameters received:
# 1) 'cloudTypes', user defined list seperated by commas of possible permitted cloud environment types
# 2) 'cloudType' the machine cloud type recieved from the collect

#return value default value is 0
rv=0


#parameters received are 'cloudTypes' - the permitted cloudTypes - and 'cloudType'
parseArgs "$@"

#check if machine is in cloud environment matching input
IFS=','
found_cloudType=0
for type in $cloudTypes
do
	if [ "X$type" = "X$cloudType" ]
	then
		found_cloudType=1
		break
	fi
done

#check if both cloudTypes and cloudType are empty, if yes user successfully validated machine is not in cloud environment
if [ "X$cloudTypes" = "X" -a "X$cloudType" = "X" ]
then
	found_cloudType=1
fi

if [ $found_cloudType -ne 1 ]
then
	rv=1
fi

#print message based on whether we are in a cloud environment at all
if [ "X$cloudType" = "X" ]
then
	endCheck $rv "Machine is not a cloud environment"
else
	endCheck $rv "Machine is '$cloudType' cloud environment"
fi

