#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script verifies machine DA build installed
#parameters received:
# 1) 'max_build', user defined max DA build in conitions set
# 2) 'min_build' user defined min DA build in conitions set
# 3) 'machineDABuild' received from collect

ECHO=/bin/echo
CPPROD_UTIL=$CPDIR/bin/cpprod_util
rv=0

error_verifying="Could not verify DA build on the machine."

#parameters received are 'max_build', 'min_build', and 'machineDABuild'
parseArgs "$@"

#check max_build
if [ "X$max_build" != "X" ]
then 
	#check max_build is only digits
	verifyOnlyDigits $max_build "$error_verifying"
	
	if [ $machineDABuild -gt $max_build ]
	then
		rv=1
	fi
fi

#check min build
if [ "X$min_build" != "X" ] 
then 
	#check min_build is only digits
	verifyOnlyDigits $min_build "$error_verifying"
	
	if [ $machineDABuild -lt $min_build ]
	then
		rv=1
	fi
fi

endCheck $rv "Deployment Agent build is $machineDABuild"