#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script verifies there is enough disk space at user defined path
#parameters received:
# 1) 'required_space', user defined required space in conditions set. This can be given in bytes,kilobytes,megabytes,or gigabytes
# 2) 'path' user defined path in conditions set
# 3) 'path_space' amount of available space, received from collect

rv=0
internal_err_str="Internal error: "

#parameters received are 'required_space', 'path', and 'path_space'
parseArgs "$@"

# remove this section once DDR handles errors from collect
if [ "X$collect_err_msg" != "X" ]
then
	endCheck 1 "$collect_err_msg" 
fi


#units user used to describe space needed
size_units=""

#-------------------------
#MAIN
#-------------------------

if [ "X$required_space" = "X" ]
then
	endCheck 1 "$internal_err_str required_space in conditions_set.json is empty"
fi

if [ "X$path" = "X" ]
then
	endCheck 1 "$internal_err_str path in conditions_set.json is empty"
fi

if [ "X$path_space" = "X" ]
then
	endCheck 1 "$internal_err_str path_space recieved from collect is empty."
fi

#translate $required_space depending on unit given
getUnitsFromString $required_space
convertSizeToBytes $required_space $size_units # function defines 'required_amount'

#convert path_space to bytes
path_space_in_bytes=$((path_space * (2**10)))
if [ $path_space_in_bytes -lt $required_amount ]
then
		rv=1
fi


endCheck $rv "There are `displaySpaceToUser $size_units $path_space_in_bytes` of disk space available on '$path'"
