#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script verifies whether the current manufacturer of the machine matches one of the manufacturers supplied by conditions set.
#parameters received:
# 1) 'systemManufacturers', user defined list seperated by commas of possible permitted manufacturers
# 2) 'currSystemManufacturer' the machine manufacturers  recieved from the collect

#return value default value is 0
rv=0

#parameters received are 'systemManufacturers' - the permitted system manufacturer versions - and 'currSystemManufacturer'
parseArgs "$@"


IFS=','
found_System_manufacturer=0
for manufacturer in $systemManufacturers
do
	if [ "X$manufacturer" = "X$currSystemManufacturer" ]
	then
		found_System_manufacturer=1
		break
	fi
done

if [ $found_System_manufacturer -ne 1 ]
then
	rv=1
fi

endCheck $rv "Machine has the following System Manufacturer: $currSystemManufacturer"


