#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script verifies whether the current system product name of the machine matches one of the system product names supplied by conditions set.
#parameters received:
# 1) 'systemProductNames', user defined list seperated by commas of possible permitted product names
# 2) 'currSystemProductName' the machine product name  recieved from the collect

#return value default value is 0
rv=0

#parameters received are 'systemProductNames' - the permitted names - and 'currSystemProductName'
parseArgs "$@"


IFS=','
found_System_product_name=0
for systemProductName in $systemProductNames
do
	if [ "X$systemProductName" = "X$currSystemProductName" ]
	then
		found_System_product_name=1
		break
	fi
done

if [ $found_System_product_name -ne 1 ]
then
	rv=1
fi

endCheck $rv "Machine has the following system product name: $currSystemProductName"


