#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

# NOTE !!!
# This script is only relevant from R80.10 and above - before R80.10 the file take.info does not exist


RESULT=""
rv=0

#parameters received from collect are 'take_found' , 'curr_branch' (if take_found=1) , 'curr_take' (if take_found=1) 
#parameters received from user are 'branch' , 'min_take', 'max_take'

parseArgs "$@"

error_verifying="Could not verify take number for bundle $bundle_name"

if [ "X$take_found" = "X0" ]
then
	rv=1
	RESULT="Could not collect take info"
else   # Take is installed, verify take numbers
	RESULT="Branch $curr_branch is installed from take $curr_take"
	if [ "X$branch" = "X$curr_branch" ]
	then	
		# verify max_take
		if [ "X$max_take" != "X" ]
		then 
			#check max_take is only digits
			verifyOnlyDigits $max_take "$error_verifying"		
			if [ $curr_take -gt $max_take ]
			then
				rv=1
			fi
		fi
		#check min_take
		if [ "X$min_take" != "X" ] 
		then 
			#check min_take is only digits
			verifyOnlyDigits $min_take "$error_verifying"		
			if [ $curr_take -lt $min_take ]
			then
				rv=1
			fi
		fi
	else
		rv=1
	fi
fi

endCheck $rv "$RESULT"