#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script verifies cpvifo on machine
#parameters received:
# 1) 'max_build', user defined max DA build in conitions set
# 2) 'min_build' user defined min DA build in conitions set
# 3) 'branch_name' user defined internal branch name of the file specified
# 4) 'file_name' user defined file name that cpvinfo checked 
# 5) 'file_build_num' received from collect
# 6) 'file_branch_name' received from collect

rv=0

#parameters received are 'max_build', 'min_build', and 'machineDABuild'
parseArgs "$@"

# remove this section once DDR handles errors from collect
if [ "X$collect_err_msg" != "X" ]
then
	endCheck 1 "$collect_err_msg" 
fi

#check max_build
if [ "X$max_build" != "X" ]
then 
	#check max_build is only digits
	verifyOnlyDigits $max_build "Invalid max build number in conditions_set.json"
	
	if [ $file_build_num -gt $max_build ]
	then
		rv=1
	fi
fi

#check min build
if [ "X$min_build" != "X" ] 
then 
	#check min_build is only digits
	verifyOnlyDigits $min_build "Invalid min build number in conditions_set.json"
	
	if [ $file_build_num -lt $min_build ]
	then
		rv=1
	fi
fi

#check branch name
if [ "X$branch_name" != "X" ]
then
	if [ "$branch_name" != "$file_branch_name" ]
	then
		rv=1
	fi
fi

endCheck $rv "Branch name for file $file_name is '$file_branch_name' and the build number is '$file_build_num'"