#!/bin/sh

MOD=CPinfo
VER=R77_30
LOG=/opt/CPInstLog/install_${MOD}_${VER}.elg
#CPUSE and wrapper env variable
CWD=$(cd `dirname $0`; pwd)
# make sure RPM is empty
RPM=
# be sure such file is added to CD13 in the correct folder:
for FILE in $CWD/../CPinfo/$MOD-*.i386.rpm
	do RPM=$FILE 
	break
done
if [ !  -f "$RPM" ] 
then
    cat >> $LOG << ERR
======================================================================
Didn't find any CPinfo rpm
======================================================================
ERR
exit 1
fi
    
CMD="/bin/rpm -Uvv --force $RPM"

cat > $LOG << EOF
======================================================================
Installation log of $MOD $VER
Running command: $CMD
======================================================================
EOF

eval "$CMD" >> $LOG 2>&1
RET=$?

if [ $RET -eq 0 ]
then

	cat >> $LOG << OK
======================================================================
Installation of $MOD $VER completed successfully!
======================================================================
OK

else

	cat >> $LOG << ERR
======================================================================
Instalaltion of $MOD $VER returned error: $RET
======================================================================
ERR

fi

exit $RET

