#!/bin/sh
VER=R77.30
LOG=/opt/CPInstLog/`basename $0 .sh`_$VER.elg
echo "$0 started at:" `date` > $LOG

HTM_DIR=/opt/spwm/www/html/spwm_fw1/
HTM_DEF=wm_download_gui.html
HTM_ALT=wm_download_gui_no_smart_console.html

# SmartConsole name/paths:
SMC=SmartConsole
SMC_SPWM=/opt/spwm/www/html
SMC_FWDIR=$FWDIR/conf/SMC_Files/SmartConsole
SMC_SYSIMG=/sysimg/CPwrapper/linux/windows
SMC_VAR_LOG=/var/log/SMC_Backup.tar

if [ -f "$HTM_DIR/$HTM_ALT" ]
then
	echo "Attempt to replace default $SMC link by alternative:" >> $LOG
	cp -fv $HTM_DIR/$HTM_ALT $HTM_DIR/$HTM_DEF >> $LOG \
		&& chown -v nobody:nobody $HTM_DIR/$HTM_DEF >> $LOG
fi

echo "Remove existing $SMC files..." >> $LOG
ls -l $SMC_SPWM/$SMC* $SMC_SYSIMG/$SMC* $SMC_FWDIR/$SMC* >> $LOG 2>/dev/null
rm -f $SMC_SPWM/$SMC* $SMC_SYSIMG/$SMC* $SMC_FWDIR/$SMC*

if [ -f $SMC_VAR_LOG ]
then
	echo "Restore old $SMC files from: $SMC_VAR_LOG"
	if gtar xvf $SMC_VAR_LOG -C / 2>&1
	then
		rm -f $SMC_VAR_LOG
		echo "Set 0755 permissions & ownership 'nobody:nobody' for" \
			"$SMC files:"
		chmod 755 $SMC_SPWM/$SMC* $SMC_SYSIMG/$SMC* \
			$SMC_FWDIR/$SMC* 2>/dev/null
		chown 99:99 $SMC_SPWM/$SMC* $SMC_SYSIMG/$SMC* \
			$SMC_FWDIR/$SMC* 2>/dev/null
		ls -l $SMC_SPWM/$SMC* $SMC_SYSIMG/$SMC* \
			$SMC_FWDIR/$SMC* 2>/dev/null
	fi
else
	echo "No old $SMC files were found (no $SMC_VAR_LOG file)."
fi >> $LOG

echo "$0 finished at:" `date` >> $LOG
exit 0
