#!/bin/sh

ECHO=/bin/echo

if [ -f /bin/sed ] ; then
	SED=/bin/sed
	AWK=/bin/awk
elif [ -f /usr/bin/sed ] ; then
		SED=/usr/bin/sed
		AWK=/usr/bin/awk
		else
		SED=sed
		AWK=awk
		fi

# on vsx systems, registry is not updated correctly in vs context:
VRF=/proc/self/vrf
if [ "$VRF_OK" != "1" -a -f $VRF -a "`cat $VRF 2>&1`" != "0" ]
then
	$ECHO "Installation must run from VRF context 0 only!"
	$ECHO "Error! Current VRF is not 0: $VRF='`cat $VRF`'"
	exit 1
fi

SHOW_MESSAGE=1
if [ -f $CPDIR/bin/cpprod_util ] ; then


	CVER=`$CPDIR/bin/cpprod_util CPPROD_GetCurrentVersion FW1 | $SED 's/ //g' | $SED 's/[^0-9]*//'`
	CVER=${CVER:-0}
	CSP=`$CPDIR/bin/cpprod_util CPPROD_GetCurrentServicePack FW1 | $SED 's/ //g' | $SED 's/[^0-9]*//'`
	CSP=${CSP:-0}
	CMSP=`$CPDIR/bin/cpprod_util CPPROD_GetCurrentMSP FW1 | $SED 's/ //g' | $SED 's/[^0-9]*//'`
	CMSP=${CMSP:-0}


				
	if [ "$CVER" = "6.0" -a "$CSP" = "4" -a "$CMSP" = "0" ] ; then	
		SHOW_MESSAGE=0
	else	
		SHOW_MESSAGE=1
	fi
fi

if [ "$SHOW_MESSAGE" = "0" ] ; then
	OS_TYPE=`uname`
	if [ "$OS_TYPE" = "IPSO" ] ; then
		IPSO=`uname -r | sed 's/\.//g' | sed 's/-.*//g'`
		if [ $IPSO -lt  60 ]; then
			SHOW_MESSAGE=1
		fi
	fi

fi  



if [ "$SHOW_MESSAGE" = "1" ] ; then
	    $ECHO "======================================================================"
	    $ECHO "Error: Cannot upgrade or wrong upgrade package."
	    $ECHO "For supported upgrade paths and upgrade packages per scenario, see R77.30 Release Notes."
	    $ECHO "======================================================================"
	        exit 1
fi


# IPSO SmartCenter does not support Provisioning
OS_NAME=`uname`
if [ "X$OS_NAME" = "XIPSO" -o "X$OS_NAME" = "XFreeBSD" ] ; then

	$CPDIR/bin/cpd_config -d PAServerAddon
	$CPDIR/bin/cpd_config -d PAHBServerAddon
	$CPDIR/bin/cpd_config -d LSMServerAddon
fi




if [ -d /opt/CPInstLog/ ] ; then
        echo "" > /opt/CPInstLog/log_for_display.elg 2> /dev/null
        echo "" > /opt/CPInstLog/last_HFA_hook.elg 2> /dev/null
  
		IS_SU=`$CPDIR/bin/cpprod_util CPPROD_GetValue FW1 SecureUpdateInstallation 1 | $SED 's/ //g' | $SED 's/[^0-9]*//'`
		echo "SecureUpdateInstallation value is: $IS_SU" >> /opt/CPInstLog/last_HFA_hook.elg 2> /dev/null
		echo "CHECK_POINT_SMART_UPDATE value is: $CHECK_POINT_SMART_UPDATE" >> /opt/CPInstLog/last_HFA_hook.elg 2> /dev/null
                if [ "X$IS_SU" != "X1" ] && [ "X$CHECK_POINT_SMART_UPDATE" != "X1" ]; then
			cpridstop 1> /dev/null 2>&1
		fi
fi

if [ "X$MDSDIR" != "X" ] ; then
		if [ "X$MDS_SYSTEM" = "X" ]; then
		    echo "Error: Environment variable MDS_SYSTEM is not defined."
		    exit 1
		fi
		if [ "X$MDS_CPDIR" = "X" ]; then
		    echo "Error: Environment variable MDS_CPDIR is not defined."
		    exit 1
		fi
		if [ "X$MDSDIR" != "X$FWDIR" ] ; then
			echo "Error: Can't install HFA in CMA context. Please change to MDS context (mdsenv) and try again."
			exit 1
		fi
		. $MDS_CPDIR/tmp/.CPprofile.sh 
		. $MDS_SYSTEM/shared/OSdependency.sh 

		mdsenv 2> /dev/null
            	if [ -f $MDSDIR/bin/hfa_ver.sh ] ; then
			rm -f $MDSDIR/bin/hfa_ver.sh 2> /dev/null
	    	fi
	    	ln -f -s $MDS_TEMPLATE/bin/hfa_ver.sh $MDSDIR/bin/hfa_ver.sh 2>&1 > /opt/CPInstLog/last_HFA_hook.elg
		echo "" > /opt/CPInstLog/log_mds_display.elg 2> /dev/null
                if [ -f $MDSDIR/tmp/manually_modified_cmas.txt ] ; then
                	rm $MDSDIR/tmp/manually_modified_cmas.txt 2> /dev/null
                fi
fi 
